#!/usr/bin/perl

;#-----------------------------------
;#
;#  Get File Last Update Date v1.1
;#  (c)zenko@zenko3.com
;#
;#-----------------------------------

# Using: <!--#exec cmd="last_upd.pl FileName1 FileName2 ..."-->
#        FileName --- File Name or Directory Name(*/)
# Permission: <755>

# No Argument
if ($#ARGV < 0) {
	print "";
	exit;
}
$lastupd = 0;
foreach $arg ( @ARGV ) {
	if ( $arg =~ m#/$# ) {
		# Directory
		opendir( DIR, $arg );
		if ( $! == 0 ) {
			@dirfiles = readdir( DIR );
			closedir( DIR );
			foreach $infile ( @dirfiles ) {
				next if ( $infile eq '.' );
				next if ( $infile eq '..' );
				@stats = stat( $arg.$infile );
				if ( $stats[9] > $lastupd ) { $lastupd = $stats[9]; }
			}
		}
	}
	else {
		# File
		@stats = stat( $arg );
		if ( $stats[9] > $lastupd ) { $lastupd = $stats[9]; }
	}
}

if ( $lastupd == 0 ) { print ""; }
else {
	($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime( $lastupd );
	if ( $year < 1900 ) { $year += 1900; }
	$ymd = sprintf("%4d/%2d/%2d",$year, $mon + 1, $mday);
	$ymd =~ s/\s/0/g;
	print $ymd;
}

exit;
